SelectGameModeActivity.SectionsPagerAdapter

com.j0h1.contour

## Class SelectGameModeActivity.SectionsPagerAdapter

- java.lang.Object
- - android.support.v4.view.PagerAdapter
  - - android.support.v13.app.FragmentPagerAdapter
    - - com.j0h1.contour.SelectGameModeActivity.SectionsPagerAdapter

- Enclosing class:
    SelectGameModeActivity

      public class SelectGameModeActivity.SectionsPagerAdapter
      extends android.support.v13.app.FragmentPagerAdapter

- - ### Field Summary

    - ### Fields inherited from class android.support.v4.view.PagerAdapter

      `POSITION_NONE, POSITION_UNCHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionsPagerAdapter(FragmentManager fm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()`
    `Fragment` | `getItem(int position)`
    `java.lang.CharSequence` | `getPageTitle(int position)`

    - ### Methods inherited from class android.support.v13.app.FragmentPagerAdapter

      `destroyItem, finishUpdate, getItemId, instantiateItem, isViewFromObject, restoreState, saveState, setPrimaryItem, startUpdate`

    - ### Methods inherited from class android.support.v4.view.PagerAdapter

      `destroyItem, finishUpdate, getItemPosition, getPageWidth, instantiateItem, notifyDataSetChanged, registerDataSetObserver, setPrimaryItem, startUpdate, unregisterDataSetObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SectionsPagerAdapter

          public SectionsPagerAdapter(FragmentManager fm)

  - ### Method Detail

    - #### getItem

          public Fragment getItem(int position)

      Specified by:
        `getItem` in class `android.support.v13.app.FragmentPagerAdapter`

    - #### getCount

          public int getCount()

      Specified by:
        `getCount` in class `android.support.v4.view.PagerAdapter`

    - #### getPageTitle

          public java.lang.CharSequence getPageTitle(int position)

      Overrides:
        `getPageTitle` in class `android.support.v4.view.PagerAdapter`